# `wxColourPickerEvent`
[🔗](https://github.com/erlang/otp/blob/master/lib/wx/src/gen/wxColourPickerEvent.erl#L58)

This event class is used for the events generated by `m:wxColourPickerCtrl`.

See: `m:wxColourPickerCtrl`

This class is derived, and can use functions, from:

* `m:wxCommandEvent`

* `m:wxEvent`

wxWidgets docs: [wxColourPickerEvent](https://docs.wxwidgets.org/3.2/classwx_colour_picker_event.html)

## Events

Use `wxEvtHandler:connect/3` with `wxColourPickerEventType` to subscribe to events of this type.

# `wxColourPicker`

```elixir
-type wxColourPicker() ::
          #wxColourPicker{type :: wxColourPickerEvent:wxColourPickerEventType(),
                          colour :: wx:wx_colour()}.
```

# `wxColourPickerEvent`

```elixir
-type wxColourPickerEvent() :: wx:wx_object().
```

# `wxColourPickerEventType`

```elixir
-type wxColourPickerEventType() :: command_colourpicker_changed.
```

# `getColour`

```elixir
-spec getColour(This) -> wx:wx_colour4() when This :: wxColourPickerEvent().
```

Retrieve the colour the user has just selected.

---

*Consult [api-reference.md](api-reference.md) for complete listing*
